Daily.sh - You are not on a branch

I am attempting to resolve the issue listed in the notification “Users of daily updates…”, but the steps do not appear to be complete.

$ git pull

You are not currently on a branch.
Please specify which branch you want to merge with.

$ sudo git status

HEAD detached at 1.58.1

$ ./validate.php

====================================

Component Version
LibreNMS 1.58.1
DB Schema 2019_08_10_223200_add_enabled_to_users (147)
PHP 7.2.24-0ubuntu0.18.04.1
MySQL 10.1.43-MariaDB-0ubuntu0.18.04.1
RRDTool 1.7.0
SNMP NET-SNMP 5.7.3

====================================

[OK] Composer Version: 1.9.1
[OK] Dependencies up-to-date.
[OK] Database connection successful
[OK] Database schema correct

Why are you running that? What issue where you having to start?

I am running that because I had an alert saying that automatic updates would failed and would continue to fail until I manually ran the daily.sh script. The forum notification here also currently has the same message, so I assumed this was a well known issue.

That is a extremely old notification. Not sure why you are now just getting that.

I can see my version updated this weekend, so clearly there is not an issue with the update script running. Thanks for your help Kevin, I’ll just assume the error was in error.